Bug 1114591 - Fish Fillets - Next Generation broken for Leap 15.0 and Tumbleweed
Fish Fillets - Next Generation broken for Leap 15.0 and Tumbleweed
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 SUSE Other
: P5 - None : Normal (vote)
: ---
Assigned To: Anna Maresova
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-04 15:51 UTC by Vojtech Zeisek
Modified: 2018-12-19 13:38 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vojtech Zeisek 2018-11-04 15:51:59 UTC
Nice logic game Fish Fillets - Next Generation broken for Leap 15.0 and Tumbleweed:

$ fillets 
main.cpp:117: ERROR init file not found; path='/usr/share/script/init.lua'; systemdir='/usr/share'; userdir='/home/vojta/.fillets-ng'; hint='try command line option "systemdir=path/to/data"'

It will probably be some packaging issue or so, because of installation of version for Leap 42.3 (packages fillets-ng and fillets-ng-data; without any other change) fixes the problem:

sudo zypper in -f http://download.opensuse.org/repositories/openSUSE:/Leap:/42.3/standard/x86_64/fillets-ng-1.0.1-5.2.x86_64.rpm http://download.opensuse.org/repositories/openSUSE:/Leap:/42.3/standard/noarch/fillets-ng-data-1.0.1-5.1.noarch.rpm

Everything then works fine.

Lists of files included in versions for Leap 42.3 vs. Tumbleweed (and Leap 15.0) do not differ.
Comment 1 Bruno Friedmann 2018-11-05 10:53:16 UTC
The only difference with 42.3 is the patch for lua executable applied.

https://build.opensuse.org/package/view_file/games/fillets-ng/fillets-ng-use-lua-5.1.pc.patch?expand=1

But TW actually has lua 5.3 and also Leap 15.0, lua 51 still being available for both.


Not sure this package has still an active maintainer.
Let try with Anna Maresova
Comment 2 Anna Maresova 2018-12-19 13:38:43 UTC
Forced running of autoreconf breaks correct settings for datadir - possible workaround before having fixed package is to set it correctly during execution like this: fillets systemdir=/usr/share/fillets-ng/

As removing the last patch fixes this problem and does not seem to break anything at the moment, I just submitted the package with last patch removed.

However, as upstream does not seem to be active and game does not work with newer versions of lua, I am afraid we will not be able to keep it much longer anyway.